name:                 ghci
version:              9.10.1
visibility:           public
id:                   ghci-9.10.1-inplace
key:                  ghci-9.10.1-inplace
license:              BSD-3-Clause
maintainer:           ghc-devs@haskell.org
synopsis:             The library supporting GHC's interactive interpreter
description:
    This library offers interfaces which mediate interactions between the
    @ghci@ interactive shell and @iserv@, GHC's out-of-process interpreter
    backend.

category:             GHC
abi:                  75fc11620220297c19d9e1696a51fac4
exposed:              True
exposed-modules:
    GHCi.BinaryArray GHCi.BreakArray GHCi.CreateBCO GHCi.FFI
    GHCi.InfoTable GHCi.Message GHCi.ObjLink GHCi.RemoteTypes
    GHCi.ResolvedBCO GHCi.Run GHCi.Server GHCi.Signals
    GHCi.StaticPtrTable GHCi.TH GHCi.TH.Binary GHCi.Utils

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghci-9.10.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghci-9.10.1-inplace
    /usr/pkg/lib

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghci-9.10.1-inplace
    /usr/pkg/lib

dynamic-library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1 /usr/pkg/lib

data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/ghci-9.10.1
hs-libraries:         HSghci-9.10.1-inplace
include-dirs:         /usr/pkg/include
depends:
    array-0.5.7.0-inplace base-4.20.0.0-inplace binary-0.8.9.2-inplace
    bytestring-0.12.1.0-inplace containers-0.7-inplace
    deepseq-1.5.0.0-inplace filepath-1.5.2.0-inplace
    ghc-boot-9.10.1-inplace ghc-heap-9.10.1-inplace
    ghc-prim-0.11.0-inplace rts-1.0.2 template-haskell-2.22.0.0-inplace
    transformers-0.6.1.1-inplace unix-2.8.5.1-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghci-9.10.1-inplace/ghci.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghci-9.10.1-inplace"
